[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SarInt64

64-bit Shift Arithmetic Right

## Declaration

Source position: systemh.inc line 768

`function SarInt64(`
`const AValue: Int64;`
`const Shift: Byte = 1`
`):Int64;`

## Description

SarInt64 performs an arithmetic right shift for Shift positions on a 64-bit integer AValue and returns the result. Shift is optional, and is 1 by default. The difference with the regular Shr shift operation is that the leftmost bit is preserved during the shift operation.

## See also

SarShortInt |  | 8-bit Shift Arithmetic Right
SarSmallInt |  | 16-bit Shift Arithmetic Right
SarLongInt |  | 32-bit Shift Arithmetic Right

Documentation generated on: Feb 26 2014